{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "backend-services": {
      "projectType": "library",
      "root": "projects/backend-services",
      "sourceRoot": "projects/backend-services/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/backend-services/tsconfig.lib.json",
            "project": "projects/backend-services/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/backend-services/tsconfig.lib.prod.json"
            }
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/backend-services/src/test.ts",
            "tsConfig": "projects/backend-services/tsconfig.spec.json",
            "karmaConfig": "projects/backend-services/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": ["projects/backend-services/tsconfig.lib.json", "projects/backend-services/tsconfig.spec.json"],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    }
  },
  "defaultProject": "backend-services"
}
